
%-------------------------------------------------------------------------------
%   Computes the dihedral angle for a spinning spacecraft.
%-------------------------------------------------------------------------------
%   Form:
%   da = HDA( uA, uS, uE )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   uA                     Spacecraft unit vector
%   uS           (3,n)     Unit sun vectors
%   uE           (3,n)     Unit nadir vectors
%
%   -------
%   Outputs
%   -------
%   da           (n)       Dihedral angle
%
%-------------------------------------------------------------------------------