
%-------------------------------------------------------------------------------
%   Solves ax = b using the singular value decomposition
%-------------------------------------------------------------------------------
%   Form:
%   [x, r, cn, rank] = LSSVD( a, b, tol )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   a                  A matrix
%   b                  Right-hand-side
%   tol                Tolerance on the minimum singular value
%
%   -------
%   Outputs
%   -------
%   x                  State
%   r                  Residual Ax - b
%   cn                 Condition number
%   rank               Rank of the matrix
%
%-------------------------------------------------------------------------------