
%-------------------------------------------------------------------------------
%   Computes the Jacobian for an arc measurement. Used for sun angle 
%   measurements.
%-------------------------------------------------------------------------------
%   Form:
%   H = DHArcDX( ra, dec, u )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   ra                     Right ascension
%   dec                    Declination
%   u                      Unit vector
%
%   -------
%   Outputs
%   -------
%   H                      [h/dra h/ddec]
%
%-------------------------------------------------------------------------------