
%-------------------------------------------------------------------------------
%   Finds the vectors
%   rho   = z - h
%   ?h/?x = H
%-------------------------------------------------------------------------------
%   Form:
%   [rho, H, W, JL] = FX( x )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   x         State vector
%
%   -------
%   Outputs
%   -------
%   rho       Residual vector z - h
%   H         dh/dx 
%   W         The measurement weighting vector
%   JL        Cost eliminated by eliminating measurements
%     
%-------------------------------------------------------------------------------