
%-------------------------------------------------------------------------------
%   Finds the vectors
%   rho   = z - h
%-------------------------------------------------------------------------------
%   Form:
%   [rho, W, JL] = FXNM( x )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   x         State vector
%
%   -------
%   Outputs
%   -------
%   rho       Residual vector z - h
%   W         The measurement weighting vector
%   JL        Cost eliminated by eliminating measurements
%     
%-------------------------------------------------------------------------------