
%-------------------------------------------------------------------------------
%   Computes the chordwidth. 
%-------------------------------------------------------------------------------
%   Form:
%   w = HCw( ua, e, g, ue )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   ua                     Spacecraft unit vector
%   e                      Earth angular radius
%   g                      Cant angle
%   ue                     Nadir vector
%
%   -------
%   Outputs
%   -------
%   w                      Chordwidth
%
%-------------------------------------------------------------------------------