
%-------------------------------------------------------------------------------
%   Converts right ascension and declination to unit vectors.
%-------------------------------------------------------------------------------
%   Form:
%   u = RaDec2U( rA, dec )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   rA             (1,n)   Right ascension (rad)
%   dec            (1,n)   Declination (rad)
%
%   -------
%   Outputs
%   -------
%   u              (3,n)  Unit vectors
%
%-------------------------------------------------------------------------------