
%-------------------------------------------------------------------------------
%   Separate a matrix or vector based on the criteria entered in s. For example
%   [i,j] = Sep('2*fix(x/2) ~= x',x) will place odd numbers in i and even
%   numbers in j
%-------------------------------------------------------------------------------
%   Form:
%   [i, j] = Sep( s, x )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   Criteria           s
%   x                  matrix to be separated
%
%   -------
%   Outputs
%   -------
%   i                  Indexes of true results
%   j                  Indexes of false results
%
%-------------------------------------------------------------------------------